/*
 * @FilePath: \code\gitscreenFront\src\main.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-01-29 15:16:36
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { createApp } from 'vue'
import App from './App.vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import 'dayjs/locale/zh-cn'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
// import echarts from '@/utils/echarts.js'
import echarts from '@/utils/echarts'
import {createPinia} from 'pinia'
// import DataV, { setClassNamePrefix } from '@dataview/datav-vue3';
import dataV from '@jiaminghi/data-view'
import './registerServiceWorker'
import router from './router'
import i18n from './locales'

let app = createApp(App)
const store = createPinia()
app.config.globalProperties.$echarts = echarts;//vue3的挂载方式
app.use(store)
app.use(i18n)
app.use(router).use(ElementPlus, {locale: zhCn,}).use(dataV).mount('#app')