/*
 * @FilePath: \wwwd:\code\screenFront\src\store\module\MicrofactoryDev.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-06 15:58:13
 * @Description:
 *
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { defineStore } from "pinia";
import { Names } from "@/store/storeName";
import { development, production } from "@/utils/devSever";
export const useMicroExhibitionStore = defineStore(Names.MicroExhibition, {
  // 使用方式
  // const Index= useIndexStore()
  // 1、Index.{数据}++
  // 2、Index.$patch({数据:??})
  // 3、Index.$patch((state)=>{ state.数据=??})
  // 4、通过action修改
  state: () => {
    return {
      devlist: [],
      devnum: { all: 17, wait: 7, off: 3, on: 7 },
      caijian: {
        'value': [],
        'chart': {
          xData: [],
          series: []
        }
      },
      tuoxie: {
        'value': [],
        'chart': {
          xData: [],
          series: []
        }
      },
      "zuoyi": {
        "value": [],
        "chart": {
          "series": [],
          "xData": []
        }
      },
      "fengzhong": {
        "value": [],
        "chart": {
          "series": [],
          "xData": []
        }
      },
      "banfang": {
        "value": [],
        "chart": {
          "series": [],
          "xData": []
        }
      },
    };
  },
  //computed 修改一些值
  //需要使用return将数据抛出
  //getters内可相互使用计算结果
  //使用时可直接放入标签内<div>Index.方法()</div>
  getters: {},
  actions: {
    setDevlist(data) {
      this.devlist = data;
    },
    setDevnum(data) {
      this.devnum = data;
    },
    setcaijian(data) {

      data.chart.series = data.chart.series.map((item, index) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        item.label = {
          show: true,
          position: 'top',
          formatter: function (params) {
            let unit = '';
            if (params.name == '1190269') {
              unit = '件'
            } else if(params.name == '1050910'){
              unit = '米'
            }
            return  params.value + ' ' + unit;
          }
        }


        return item
      })
      this.caijian = data;
    },
    settuoxie(data) {

      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 45
        item.label = {
          show: true,
          position: 'top',
          formatter: '{c} 只'
        }
        return item
      })
      this.tuoxie = data;
    },
    setfengzhong(data) {
      data.value = data.value.map((item, index) => {
        item.unshift(index + 1)
        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        item.label = {
          show: true,
          position: 'top',
          formatter: function (params) {
            let unit = '';
            let arr = ['RP2011001#', 'RP2011157', '10102109', '10102154']
            if (arr.includes(params.name)) {
              unit = '片'
            } else if(params.name == '1021629'){
              unit = '件'
            }
            return  params.value + ' ' + unit;
          }
        }
        return item
      })
      this.fengzhong = data;
    },
    setbanfang(data) {
      data.value = data.value.map((item, index) => {
        item.unshift(index + 1)
        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        item.label = {
          show: true,
          position: 'top',          
          formatter: '{c} 版'
        }
        return item
      })
      this.banfang = data;
    },
    setzuoyi(data) {
      data.value = data.value.map((item, index) => {
        item.unshift(index + 1)

        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        item.label = {
          show: true,
          position: 'top',
          formatter: '{c} 件'
        }
        return item
      })
      this.zuoyi = data;
    },
    changestatus(data) {
      let map = {
        '1170304': 'zuoyi',
        '1171902': 'zuoyi',
        '10201557': 'zuoyi',
        '1171701': 'zuoyi',
        '116023#': 'tuoxie',
        '104019420': 'banfang',
        '104019428': 'banfang',
        '1131514': 'banfang',
        '10404393': 'banfang',
        '10410207': 'banfang',
        '10102109': 'fengzhong',
        'RP2011001#': 'fengzhong',
        'RP2011157': 'fengzhong',
        '10102154': 'fengzhong',
        '1050910': 'caijian',
        '1190269': 'caijian',
        '1021629': 'fengzhong',
      }
      let { RackNumber, WorkingState } = data
      let key = map[RackNumber];
      if (this[key] && this[key].hasOwnProperty('value')) {
        this[key].value.forEach((item) => {
          let index = item.findIndex((item2) => {
            return item2 == RackNumber
          })
          if (index != -1) {
            item[item.length - 1] = WorkingState
          }
        })

      }
    }

  },
});
